/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.thefolder.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;

import net.mcreator.thefolder.item.StoneboundDimensionItem;
import net.mcreator.thefolder.item.RawAnderiumItem;
import net.mcreator.thefolder.item.AnderiumIngotItem;
import net.mcreator.thefolder.TheFolderMod;

public class TheFolderModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, TheFolderMod.MODID);
	public static final RegistryObject<Item> RAW_ANDERIUM;
	public static final RegistryObject<Item> ANDERIUM_ORE;
	public static final RegistryObject<Item> ANDERIUM_INGOT;
	public static final RegistryObject<Item> ANDERIUM_CORE;
	public static final RegistryObject<Item> STONEBOUND_DIMENSION;
	static {
		RAW_ANDERIUM = REGISTRY.register("raw_anderium", RawAnderiumItem::new);
		ANDERIUM_ORE = block(TheFolderModBlocks.ANDERIUM_ORE);
		ANDERIUM_INGOT = REGISTRY.register("anderium_ingot", AnderiumIngotItem::new);
		ANDERIUM_CORE = block(TheFolderModBlocks.ANDERIUM_CORE);
		STONEBOUND_DIMENSION = REGISTRY.register("stonebound_dimension", StoneboundDimensionItem::new);
	}

	// Start of user code block custom items
	// End of user code block custom items
	private static RegistryObject<Item> block(RegistryObject<Block> block) {
		return block(block, new Item.Properties());
	}

	private static RegistryObject<Item> block(RegistryObject<Block> block, Item.Properties properties) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), properties));
	}
}